# Uses of Enum Class
java.sql.JDBCType

Packages that use JDBCType
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

## Uses of JDBCType in java.sql

Subclasses with type arguments of type JDBCType in java.sql
Modifier and Type
Class
Description
`enum`
`JDBCType`
Defines the constants that are used to identify generic SQL types, called JDBC types.
Methods in java.sql that return JDBCType
Modifier and Type
Method
Description
`static JDBCType`
JDBCType.`valueOf(int type)`
Returns the `JDBCType` that corresponds to the specified `Types` value
`static JDBCType`
JDBCType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JDBCType[]`
JDBCType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.